﻿@page
@model LoginWithRecoveryCodeModel
@{
    ViewData["Title"] = "ورود با استفاده از کد تائید";
}


@*<p>
    You have requested to log in with a recovery code. This login will not be remembered until you provide
    an authenticator app code at log in or disable 2FA and log in again.
</p>*@

<div id="registerFormWrapper">
    <div class="container" id="RegisterForm">
        <div class="card bg-light">
            <article data-aos="fade-right" data-aos-duration="1000" data-aos-once="true" class="card-body mx-auto" style="max-width: 400px;">
                <p class="text-center ForgotPass">کاربر گرامی <span>ورود به این حساب </span> نیازمند یک کد تائید می باشد . لطفا کد تائید را وارد نمائید .</p>
                <form method="post">                
                    <div asp-validation-summary="All" class="text-danger"></div>
                    <div class="form-group">
                        <input asp-for="Input.RecoveryCode" class="form-control" autocomplete="off" style="font-family:Tahoma;"/>                  
                    </div>                   
                    <button type="submit" class="btn btn-success login">ورود</button>
                </form>
            </article>
            <p class="text-center">
                <a id="recovery-code-login" asp-page="./LoginWithRecoveryCode" asp-route-returnUrl="@Model.ReturnUrl">ورود با استفاده از کد بازیابی</a>
            </p>
        </div>
    </div>
</div>


@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}

